using SqlSugar;
using System;
using System.Runtime.Serialization;

#region << 版 本 注 释 >>

/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Model.domain
* 唯一标识：496f8d2b-70e3-4a05-ae18-a9b0fcd06b82
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-03-27 21:58:35
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/

#endregion << 版 本 注 释 >>

namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 不使用
    /// </summary>
    [SugarTable("BasMaterial"), TenantAttribute("mes")]
    [DataContract(Name = "BasMaterial 物料信息")]
    public class BaseMaterialInfo
    {
        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "ObjID", IsPrimaryKey = true)]
        public int ObjID { get; set; }

        /// <summary>
        /// 大类+小类+规格+胶代码或最后4顺序号
        ///</summary>
        [SugarColumn(ColumnName = "MaterialCode")]
        public string MaterialCode { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "MajorTypeID")]
        public int? MajorTypeID { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "MinorTypeID")]
        public string MinorTypeID { get; set; }

        /// <summary>
        ///
        /// 默认值: ('')
        ///</summary>
        [SugarColumn(ColumnName = "RubCode")]
        public string RubCode { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "MaterialName")]
        public string MaterialName { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "MaterialOtherName")]
        public string MaterialOtherName { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "MaterialSimpleName")]
        public string MaterialSimpleName { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "ProductMaterialCode")]
        public string ProductMaterialCode { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "MaterialLevel")]
        public string MaterialLevel { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "MaterialGroup")]
        public string MaterialGroup { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "UserCode")]
        public string UserCode { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "PlanPrice")]
        public decimal? PlanPrice { get; set; }

        /// <summary>
        /// 具体到县级市，长度为6，国外的只具体国家
        ///</summary>
        [SugarColumn(ColumnName = "ProductArea")]
        public string ProductArea { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "MinStock")]
        public decimal? MinStock { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "MaxStock")]
        public decimal? MaxStock { get; set; }

        /// <summary>
        /// 千克，克，块，桶，升
        ///</summary>
        [SugarColumn(ColumnName = "UnitID")]
        public int? UnitID { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "StaticUnitID")]
        public int? StaticUnitID { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "StaticUnitCoefficient")]
        public decimal? StaticUnitCoefficient { get; set; }

        /// <summary>
        /// 显为百分比
        ///</summary>
        [SugarColumn(ColumnName = "CheckPermitError")]
        public decimal? CheckPermitError { get; set; }

        /// <summary>
        /// 按小时计算
        ///</summary>
        [SugarColumn(ColumnName = "MaxParkTime")]
        public decimal? MaxParkTime { get; set; }

        /// <summary>
        /// 小时计算
        ///</summary>
        [SugarColumn(ColumnName = "MinParkTime")]
        public decimal? MinParkTime { get; set; }

        /// <summary>
        ///
        /// 默认值: (getdate())
        ///</summary>
        [SugarColumn(ColumnName = "DefineDate")]
        public DateTime? DefineDate { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "StandardCode")]
        public string StandardCode { get; set; }

        /// <summary>
        ///
        /// 默认值: ((1))
        ///</summary>
        [SugarColumn(ColumnName = "StaticClass")]
        public int? StaticClass { get; set; }

        /// <summary>
        ///
        /// 默认值: ((0))
        ///</summary>
        [SugarColumn(ColumnName = "IsEqualMaterial")]
        public string IsEqualMaterial { get; set; }

        /// <summary>
        ///
        /// 默认值: ((0))
        ///</summary>
        [SugarColumn(ColumnName = "IsPutJar")]
        public string IsPutJar { get; set; }

        /// <summary>
        ///
        /// 默认值: ((1))
        ///</summary>
        [SugarColumn(ColumnName = "IsQualityRateCount")]
        public string IsQualityRateCount { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "ERPCode")]
        public string ERPCode { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "Remark")]
        public string Remark { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "DeleteFlag")]
        public string DeleteFlag { get; set; }

        /// <summary>
        ///
        /// 默认值: ((0))
        ///</summary>
        [SugarColumn(ColumnName = "ValidDate")]
        public decimal ValidDate { get; set; }

        /// <summary>
        ///
        /// 默认值: ((0))
        ///</summary>
        [SugarColumn(ColumnName = "ValidDateB")]
        public decimal ValidDateB { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "SAPMaterialCode")]
        public string SAPMaterialCode { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "SAPMaterialShortCode")]
        public string SAPMaterialShortCode { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "ERPCode_Bak")]
        public string ErpcodeBak { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "OperSourceTemp")]
        public string OperSourceTemp { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "IsQualityrateCountBak")]
        public int? IsQualityrateCountBak { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "CMaterialLevel")]
        public string CMaterialLevel { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "CMaterialGroup")]
        public string CMaterialGroup { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "XBStock")]
        public decimal? XBStock { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "HFCode")]
        public string HFCode { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "HFCode2")]
        public string HFCode2 { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "UNITName")]
        public string UNITName { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "KFACSTATUS")]
        public string Kfacstatus { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "Ordertype")]
        public string Ordertype { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "CreateDate")]
        public string CreateDate { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "UpdateDate")]
        public string UpdateDate { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "UnAudit")]
        public string UnAudit { get; set; }

        /// <summary>
        ///
        ///</summary>
        [SugarColumn(ColumnName = "ChkStand")]
        public string ChkStand { get; set; }

        /// <summary>
        /// 1 KG 2 PC 3 标准KG
        /// 默认值: ((1))
        ///</summary>
        [SugarColumn(ColumnName = "SapUpUnit")]
        public int? SapUpUnit { get; set; }

        /// <summary>
        /// 是否为轨道事业部物料：0：不是，1：是
        ///</summary>
        [SugarColumn(ColumnName = "IsGDMaterial")]
        public int? IsGDMaterial { get; set; }
    }
}